INCLUDE_ONCE_MACRO(PNG)

SETUP_SUPERBUILD(PNG)

# declare dependencies
ADDTO_DEPENDENCIES_IF_NOT_SYSTEM(PNG ZLIB)

ADD_SUPERBUILD_CMAKE_VAR(PNG ZLIB_INCLUDE_DIR)
ADD_SUPERBUILD_CMAKE_VAR(PNG ZLIB_LIBRARY)

ExternalProject_Add(PNG
  PREFIX PNG
  URL "http://sourceforge.net/projects/libpng/files/libpng16/older-releases/1.6.16/lpng1616.zip/download"
  URL_MD5 c90c9587c9a5c735327fb3f6900f6b03
  BINARY_DIR ${PNG_SB_BUILD_DIR}
  INSTALL_DIR ${SB_INSTALL_PREFIX}
  DOWNLOAD_DIR ${DOWNLOAD_LOCATION}
  DEPENDS ${PNG_DEPENDENCIES}
  CMAKE_CACHE_ARGS
  ${SB_CMAKE_CACHE_ARGS}
  -DSKIP_INSTALL_EXECUTABLES:BOOL=OFF
  -DPNG_STATIC:BOOL=OFF
  -DPNG_SHARED:BOOL=ON
  -DPNG_TESTS:BOOL=OFF
  -DVERSIONED_OUTPUT_LIB:BOOL=OFF
  -DSKIP_INSTALL_FILES:BOOL=ON
  -DSKIP_INSTALL_EXPORT:BOOL=ON
  -DSKIP_INSTALL_EXECUTABLES:BOOL=OFF
  ${PNG_SB_CONFIG}
  CMAKE_COMMAND ${SB_CMAKE_COMMAND}
  )
set(_SB_PNG_PNG_INCLUDE_DIR ${SB_INSTALL_PREFIX}/include)

SUPERBUILD_PATCH_SOURCE(PNG)

SUPERBUILD_UPDATE_CMAKE_VARIABLES(PNG TRUE)
